Add test plan config(s)
POST
/testplanconfigurationsAdd new configuration(s) to a test plan
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlansConfigsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlansConfigsApi(config);
const result = await api.addTestPlanConfig({ "testPlanConfigurationPayload": { "parameters": [], "project": 123, "testplan": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/testplanconfigurations?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "parameters": [], "project": 123, "testplan": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
parameters |
Array of Array of Config Combination | Yes | — |
project |
number | Yes | — |
testplan |
number | Yes | — |
Response
Section titled “Response”200 — Action status details
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].parameters |
Array of Config Combination | Yes | — |
[].assigned_to |
User Minified | No | — |
[].assigned_to.id |
number | Yes | — |
[].assigned_to.username |
string | No | — |
[].assigned_to.name |
string | Yes | — |
[].assigned_to.avatar |
Upload | No | — |
[].assigned_to.avatar.id |
number | Yes | — |
[].assigned_to.avatar.name |
string | Yes | — |
[].assigned_to.avatar.hash |
string | Yes | — |
[].assigned_to.avatar.ext |
string | Yes | — |
[].assigned_to.avatar.mime |
string | Yes | — |
[].assigned_to.avatar.size |
string | Yes | — |
[].assigned_to.avatar.url |
string | Yes | — |
[].assigned_to.avatar.created_by |
number | No | — |
[].assigned_to.avatar.created_at |
string | Yes | — |
[].assigned_to.avatar.updated_at |
string | Yes | — |
[].assigned_to.is_guest |
number | No | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 |
bad input parameter |
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |